# module Raven::Rails::Middleware::DebugExceptionsCatcher

### Public Class Methods

included(base) click to toggle source

    # File lib/raven/integrations/rails/middleware/debug_exceptions_catcher.rb, line 5
    def self.included(base)
      base.send(:alias_method_chain, :render_exception, :raven)
    end

### Public Instance Methods

render_exception_with_raven(env, exception) click to toggle source

    # File lib/raven/integrations/rails/middleware/debug_exceptions_catcher.rb, line 9
    def render_exception_with_raven(env, exception)
      Raven::Rack.capture_exception(exception, env)
      render_exception_without_raven(env, exception)
    end